Filter Descriptions and Configuration
Prev | Chapter 16. Syslog Reports | Next

## Filter Descriptions and Configuration

### Exclude Message Filter

ID: `exclude-message`

This filter can be used to exclude syslog records based on the content of the `message` field.

Parameters

`message_match`

  Records for which the `message` field matches that regular expression will be excluded. The match is case insensitive.

  Defaults to `.*`.

### Exclude Priority Filter

ID: `exclude-priority`

This filter can be used to exclude syslog records based on the priority (`facility` and `level`) of the message.

Parameters

`facility_match`

  Regular expression used to select the facility that the event must not come from. The match is case insensitive.

  Defaults to `.*`.

`level_match`

  Regular expression used to select the level that the event must not come from. The match is case insensitive.

  Defaults to `.*`.

### Exclude Process Filter

ID: `exclude-process`

This filter can be used to exclude syslog records based on the value in the `process` field.

Parameters

`process_match`

  Regular expression that excludes messages coming from matching processes. The match is case insensitive.

  Defaults to `.*`.

### Select Host Filter

ID: `select-host`

This filter can be used to select syslog records based on the host from which the event was received.

Parameters

`host_match`

  Regular expression used to select the host that the event must come from. The match is case insensitive.

  Defaults to `.*`.

### Select Message Filter

ID: `select-message`

This filter can be used to select syslog records based on the content of the `message` field.

Parameters

`message_match`

  Only records for which the `message` field matches that regular expression will be selected. The match is case insensitive.

  Defaults to `.*`.

### Select Priority Filter

ID: `select-priority`

This filter can be used to select syslog records based on the priority (`facility` and `level`) of the message.

Parameters

`facility_match`

  Regular expression used to select the facility that the event must come from. The match is case insensitive.

  Defaults to `.*`.

`level_match`

  Regular expression used to select the level that the event must come from. The match is case insensitive.

  Defaults to `.*`.

### Select process Filter

ID: `select-process`

This filter can be used to select syslog records based on the value in the `process` field.

Parameters

`process_match`

  Regular expression that select messages coming from matching processes. The match is case insensitive.

  Defaults to `.*`.

Prev | Up | Next
Report Descriptions and Configuration | Home | Chapter 17. WWW Reports